class Recipe {
  final String label;
  final List<String> ingredientLines;
  final String imageUrl;

  Recipe({
    required this.label,
    required this.ingredientLines,
    required this.imageUrl,
  });

  Map<String, dynamic> toMap() {
    return {
      'label': label,
      'ingredientLines': ingredientLines,
      'imageUrl': imageUrl,
    };
  }
}