import 'package:cookbook/data/data_sources/firebase_auth_source.dart';
import 'package:cookbook/data/repositories/firebase_auth_repository_impl.dart';
import 'package:cookbook/domain/repo/auth_repository.dart';
import 'package:get/get.dart';

class DependencyCreator{

  static init(){
    Get.lazyPut<FirebaseAuthSource>(() => FirebaseAuthSource());
    Get.lazyPut<AuthRepository>(() => FirebaseAuthRepositoryImpl(Get.find()));
  }
}